package cn.iocoder.yudao.module.smartfactory.framework.util;

import org.apache.commons.lang3.StringUtils;
import org.apache.logging.log4j.util.Strings;

import java.util.regex.Matcher;
import java.util.regex.Pattern;

/**
 * String 工具类
 */
public class StringUtil {

    /**
     * 转换规格片数
     * @param sizeName 规格名称
     * @return 片数
     */
    public static Integer sizeNameAnalysis(String sizeName) {

        if (StringUtils.isEmpty(sizeName)) {
            return 1;
        }

        String[] split = sizeName.split("\\*");
        if (split.length >= 3) {

            Pattern pattern = Pattern.compile("\\d+"); // 匹配数字的正则表达式
            Matcher matcher = pattern.matcher(split[2]);

            if (matcher.find()) {

                return Integer.valueOf(matcher.group()); // 获取匹配的数字字符串
            }

        }
        return 1;
    }
}
